Grub fails during upgrade

gurumelo

Member
Feb 2, 2021
2
0
6
42
Hello, i have a "problem".

proxmox-ve: 7.4-1

I did an upgrade and:

Bash:
Setting up openssh-client (1:8.4p1-5+deb11u2) ...
Setting up libyajl2:amd64 (2.1.0-3+deb11u2) ...
Setting up libcurl3-gnutls:amd64 (7.74.0-1.3+deb11u9) ...
Setting up libprotobuf23:amd64 (3.12.4-1+deb11u1) ...
Setting up grub-pc (2.06-3~deb11u6) ...
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline
Installing for i386-pc platform.
grub-install.real: error: unable to identify a filesystem in mduuid/40d84a519232c0a81323ee8bdc7b6cfa; safety check can't be pe
rformed.
Installing for i386-pc platform.
grub-install.real: warning: this GPT partition label contains no BIOS Boot Partition; embedding won't be possible.
grub-install.real: error: embedding is not possible, but this is required for RAID and LVM install.
Installing for i386-pc platform.
grub-install.real: warning: File system `ext2' doesn't support embedding.
grub-install.real: warning: Embedding is not possible.  GRUB can only be installed in this setup by using blocklists.  However
, blocklists are UNRELIABLE and their use is discouraged..
grub-install.real: error: diskfilter writes are not supported.
Configuring grub-pc
-------------------

GRUB failed to install to the following devices:

/dev/md5 /dev/nvme0n1 /dev/md2

Do you want to continue anyway? If you do, your computer may not start up properly.

Writing GRUB to boot device failed - continue? [yes/no]

I don't know if yes or no....

Bash:
# dpkg -l | grep -i grub
rc  grub-cloud-amd64                     0.0.5                          amd64        GRand Unified Bootloader (cloud setup)
ii  grub-common                          2.06-3~deb11u6                 amd64        GRand Unified Bootloader (common files)
ii  grub-efi-amd64-bin                   2.06-3~deb11u6                 amd64        GRand Unified Bootloader, version 2 (EFI-AMD64 modules)
iF  grub-pc                              2.06-3~deb11u6                 amd64        GRand Unified Bootloader, version 2 (PC/BIOS version)
ii  grub-pc-bin                          2.06-3~deb11u6                 amd64        GRand Unified Bootloader, version 2 (PC/BIOS modules)
ii  grub2-common                         2.06-3~deb11u6                 amd64        GRand Unified Bootloader (common files for version 2)

Thanks
 
Last edited:
Hello,
I'm having the same problem upgrading from 7.3-1 to 7.4-1
Bash:
Setting up grub2-common (2.06-3~deb11u6) ...
Setting up pve-qemu-kvm (7.2.0-8) ...
Setting up swtpm-libs:amd64 (0.8.0~bpo11+3) ...
Setting up libavahi-common3:amd64 (0.8-5+deb11u2) ...
Setting up libzfs4linux (2.1.11-pve1) ...
Setting up grub-pc-bin (2.06-3~deb11u6) ...
Setting up grub-pc (2.06-3~deb11u6) ...
Installing for i386-pc platform.
File descriptor 3 (pipe:[33656]) leaked on vgs invocation. Parent PID 78491: grub-install.real
File descriptor 3 (pipe:[33656]) leaked on vgs invocation. Parent PID 78491: grub-install.real
File descriptor 3 (pipe:[33656]) leaked on vgs invocation. Parent PID 78491: grub-install.real
File descriptor 3 (pipe:[33656]) leaked on vgs invocation. Parent PID 78491: grub-install.real
File descriptor 3 (pipe:[33656]) leaked on vgs invocation. Parent PID 78491: grub-install.real
grub-install.real: warning: File system `ext2' doesn't support embedding.
grub-install.real: warning: Embedding is not possible.  GRUB can only be installed in this setup by using blocklists.  However, blocklists are UNRELIABLE and their
use is discouraged..
grub-install.real: error: diskfilter writes are not supported.

Bash:
root@pvelab1:~# dpkg -l | grep -i grub
ii  grub-common                          2.06-3~deb11u6                 amd64        GRand Unified Bootloader (common files)
ii  grub-efi-amd64-bin                   2.06-3~deb11u6                 amd64        GRand Unified Bootloader, version 2 (EFI-AMD64 modules)
iF  grub-pc                              2.06-3~deb11u6                 amd64        GRand Unified Bootloader, version 2 (PC/BIOS version)
ii  grub-pc-bin                          2.06-3~deb11u6                 amd64        GRand Unified Bootloader, version 2 (PC/BIOS modules)
ii  grub2-common                         2.06-3~deb11u6                 amd64        GRand Unified Bootloader (common files for version 2)

My Disks are as follows

1697117685186.png

1697117717684.png
Anyone have any ideas?


Currently stuck waiting to continue...

Thanks
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get yours easily in our online shop.

Buy now!